## vpnc 0.3.3+SVN20051028

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,12 @@
 
 DESTDIR=
 PREFIX=/usr/local
+ETCDIR=/etc/vpnc
 SBINDIR=$(PREFIX)/sbin
 MANDIR=$(PREFIX)/share/man
 
 CC=gcc
-CFLAGS=-W -Wall -O -g '-DVERSION="$(shell cat VERSION)"' $(shell libgcrypt-config --cflags)
+CFLAGS=-W -Wall -O3 -Wmissing-declarations -Wwrite-strings -g '-DVERSION="$(shell cat VERSION)"' $(shell libgcrypt-config --cflags)
 LDFLAGS=-g $(shell libgcrypt-config --libs)
 
 ifeq ($(shell uname -s), Linux)
@@ -34,6 +35,10 @@
 endif
 ifeq ($(shell uname -s), NetBSD)
 CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN
+SYSDEP=sysdep-bsd.o
+endif
+ifeq ($(shell uname -s), DragonFly)
+CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN -DDRAGONFLY_BSD
 SYSDEP=sysdep-bsd.o
 endif
 ifeq ($(shell uname -s), OpenBSD)
@@ -48,15 +53,19 @@
 
 FILELIST := $(shell echo *.c *.h vpnc-*) Makefile README ChangeLog COPYING TODO VERSION vpnc.conf vpnc.8 pcf2vpnc
 
-vpnc : vpnc.o isakmp-pkt.o tunip.o config.o $(SYSDEP) dh.o math_group.o
+vpnc : vpnc.o vpnc-debug.o isakmp-pkt.o tunip.o config.o $(SYSDEP) dh.o math_group.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
-vpnc.o : isakmp.h isakmp-pkt.h dh.h sysdep.h math_group.h config.h VERSION
-isakmp-pkt.o : isakmp.h isakmp-pkt.h config.h
-tunip.o : sysdep.h vpnc.h config.h
-config.o : vpnc.h config.h VERSION
+vpnc.o : vpnc-debug.h isakmp.h isakmp-pkt.h dh.h sysdep.h math_group.h config.h VERSION
+isakmp-pkt.o : vpnc-debug.h isakmp.h isakmp-pkt.h config.h
+tunip.o : vpnc-debug.h sysdep.h vpnc.h config.h
+config.o : vpnc-debug.h vpnc.h config.h VERSION
 dh.o : dh.h math_group.h
 math_group.o : math_group.h
+debug.o : vpnc-debug.c vpnc-debug.h
+
+vpnc-debug.c vpnc-debug.h : isakmp.h enum2debug.pl
+	./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h
 
 vpnc.ps : vpnc.c
 	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@
@@ -79,23 +88,29 @@
 clean :
 	-rm -f vpnc *.o tags
 
+realclean :
+	-rm -f vpnc *.o tags vpnc-debug.c vpnc-debug.h
+
 all : vpnc
 
 install :
-	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
-	install vpnc vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install vpnc.conf vpnc-script $(DESTDIR)$(ETCDIR)
+	install vpnc vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install vpnc.8 $(DESTDIR)$(MANDIR)/man8
 
 install-strip :
-	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install vpnc.conf vpnc-script $(DESTDIR)$(ETCDIR)
 	install -s vpnc $(DESTDIR)$(SBINDIR)
-	install vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
+	install vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install vpnc.8 $(DESTDIR)$(MANDIR)/man8
 
 uninstall :
-	rm -f $(DESTDIR)$(SBINDIR)/vpnc $(DESTDIR)$(SBINDIR)/vpnc-connect \
+	rm -f $(DESTDIR)$(SBINDIR)/vpnc \
 		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
 		$(DESTDIR)$(MANDIR)/man8/vpnc.8
+	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually
 
 .PHONY : clean dist all install install-strip uninstall
