## vpnc 0.5.1r334-1

=== debian/changelog ===
vpnc (0.5.1r334-1) unstable; urgency=low

  * Maemo Port

 -- Philipp Seidel <maemo@dinotools.de>  Tue, 19 Aug 2008 12:10:30 +0200

vpnc (0.5.1r275-1) unstable; urgency=low

  * New upstream SVN snapshot with various bugfixes
  * A very very very very urgent "fix" from Nicolas Duboc to put cisco-decrypt
    into /usr/lib/vpnc (closes: #454236)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Dec 2007 15:42:52 +0100

vpnc (0.5.1r254-1) unstable; urgency=low

  * New upstream release (with updates from trunk)
    + removes bash specific function keyword (closes: #441045, #444859)
  * adding cisco-decrypt to vpnc tool (closes: #444631)

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Oct 2007 09:42:08 +0200

vpnc (0.5.0-1) unstable; urgency=low

  * New upstream release
    + lots of add-ons and fixes moved into official source
    + Dead Peer Detection improvements (closes: #416180)
    + Fixes in net-tools usage (closes: #430799)
    + unsuccessfull error code on authentication failure (closes: #414437)
  * put resolvconf and iproute into Recommends

 -- Eduard Bloch <blade@debian.org>  Thu, 30 Aug 2007 20:51:37 +0200

vpnc (0.4.0-3) unstable; urgency=low

  * 06_stolen_from_head.dpatch: sync with SVN revision 174, including fixes
    for DPD (closes: #416180) and also most likely solves the keepalive
    problems (closes: #418906, reopen if not)
  * 04_debianitis.dpatch: ifconfig call with full path (closes: 423146)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2007 22:45:46 +0200

vpnc (0.4.0-2) unstable; urgency=medium

  * proper increment variable picking when emulating Target networks
    directive (closes: #412784)
  * small bug in resolv.conf update forbidding directive handling fixed,
    it was causing unuseable resolv.conf in certain cases
  * 06_stolen_from_head.dpatch: upstream fixes in Revision 159
    (closes: #411668)

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Mar 2007 18:48:27 +0100

vpnc (0.4.0-1) unstable; urgency=low

  * New upstream release
    + GNU/kFreeBSD related fixes (closes: #400740)
    + Supports phase2 rekeying (closes: #411108)
    + auto-creating /var/run/vpnc (closes: #403783)
  * Old config handling extensions replaced with wrappers to upstream
    vpnc-script function variables which are declared official now
    (closes: #399131)
  * more connect/shutdown hooks (closes: #366257)
  * not depending on iproute, though old extensions may not work without it
    but users are warned in that case (closes: #393848)

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Feb 2007 22:33:12 +0100

vpnc (0.3.3+SVN20051028-3) unstable; urgency=low

  * 08_keepalive_and_rekeying.dpatch: patch for basic rekeying and keepalive
    support from Tomas Mraz <tmraz@redhat.com>
  * stronger permissions of /etc/vpnc/ and /etc/vpnc/example.conf to protect
    careless users from making their login data world-readable 
    (closes: #340105)
  * documented connect/disconnect hooks in README.Debian, thanks to Elmar
    Hoffmann (closes: #360704)

 -- Eduard Bloch <blade@debian.org>  Fri, 14 Apr 2006 23:30:36 +0200

vpnc (0.3.3+SVN20051028-2) unstable; urgency=low

  * TARGET_NETWORKS code was accidentaly removed in 04_debianitis.dpatch, now
    restored (closes: #336532)

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Nov 2005 09:07:12 +0100

vpnc (0.3.3+SVN20051028-1) unstable; urgency=low

  * new upstream snapshot
    + includes a password string deobfuscater
    + a bash specific loop construct has been rewritten (closes: #335989)
  * inserts another default default value into setup variables (now 
    really closes: #334203, #335518)
  * fallback to $configname.conf file scheme (closes: #335383)
  * vpnc-script tries to open the device for 10 seconds after the module has
    been loaded, to work around udev's timing problems (closes: #281663)

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Oct 2005 16:08:00 +0200

vpnc (0.3.3+SVN20050909-5) unstable; urgency=low

  * set the default string "No" for DNS_UPDATE (closes: #334699)
  * do not see any additional routes sent by the server when the
    TARGET_NETWORKS is set (closes: #334203)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 22:14:39 +0200

vpnc (0.3.3+SVN20050909-4) unstable; urgency=low

  * added the magic [ words to the test commands in the new hooks 
    (closes: #333813)
 
 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 12:47:15 +0200

vpnc (0.3.3+SVN20050909-3) unstable; urgency=low

  * this should be the "good third revision" of 0.3.3 (closes: #314941)
  * correct fixes for the DNSUpdate option check (for every corner case) and
    patch merge errors in the TARGET_NETWORKS execution (closes: #333312)
  * added a hook to vpnc-script to execute
    /etc/vpnc/vpnc-script-disconnect-action on disconnect, if found. Create it
    or even modify vpnc-script as needed. (closes: #254032)
  * also added a hook for /etc/vpnc/vpnc-script-disconnect-action to add
    custom stuff there (closes: #299472)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 12:43:23 +0200

vpnc (0.3.3+SVN20050909-2) unstable; urgency=low

  * fixed typo in vpnc-script patch which was causing the resolv.conf update
    though disabled in the config

 -- Eduard Bloch <blade@debian.org>  Wed, 12 Oct 2005 01:11:44 +0200

vpnc (0.3.3+SVN20050909-1) unstable; urgency=low

  * New upstream release
    + all functionality of vpnc-connect moved to vpnc and vpnc-script
  * migrated additional vpnc-connect functionality (resolvconf, Target
    Networks, DNSUpdate options) to vpnc-script and vpnc source
  * set transitional symlink vpnc-connect (-> vpnc)
  * reduced default MTU to 1390 to work around problems seen while testing

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Oct 2005 12:22:42 +0200

vpnc (0.3.2+SVN20050326-2) unstable; urgency=high

  * added a check for having a slash in the config file specification (now it
    really accepts absolute paths only and not some random, or even malicious,

