## vpnc 0.5.3r449

=== debian/changelog ===
vpnc (0.5.3r449-3) unstable; urgency=low

  * New maintainer.
  * Use source "3.0 (quilt)", dh 8 and minimal debian/rules.
    + Converted patch system from dpatch to quilt.
    + Added DEP-3 headers and refreshed 07_bug496718.patch.
  * Don't ship duplicate sample config in examples, and go with upstream's
    default.conf.
  * Install cisco-decrypt and pcf2vpnc into /usr/bin like upstream does,
    increasing visibility.
  * debian/control: Added Homepage field.
  * Added fix_make_test.patch: cert0.pem has expired, remove it from test.
  * Rewrote debian/copyright according to DEP-5.
  * Added debian/watch.
  * Bumped Standards-Version to 3.9.2 (no changes necessary).

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 09 Jan 2012 00:14:49 +0100

vpnc (0.5.3r449-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "more verbose iproute makes vpnc fail connecting", taken from
    http://git.infradead.org/users/dwmw2/vpnc-scripts.git/commitdiff/4deaaf9a32
    Closes: #624203, #640978, LP: #805435.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Thu, 24 Nov 2011 15:06:35 +0000

vpnc (0.5.3r449-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "Disconnects after an hour and loops trying to reconnect",
    thanks to Daniel Schepler (Closes: #496718, LP: #479632). Patch taken
    from upstream: http://www.gossamer-threads.com/lists/vpnc/devel/3442

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Nov 2010 12:03:17 +0100

vpnc (0.5.3r449-2) unstable; urgency=low

  * Add pkg-config build-dependency. (closes: #574715)

 -- Eric Warmenhoven <warmenhoven@debian.org>  Sat, 20 Mar 2010 21:07:07 -0700

vpnc (0.5.3r449-1) unstable; urgency=low

  * New upstream SVN snapshot with GnuTLS support (closes: #513645, #440318)
  * Change resolvconf from "Recommends" to "Suggests (closes: #519947)
  * Since /var/run/vpnc is automatically created, no need to have it as
    part of vpnc.dirs (fixes lintian error)

 -- Eric Warmenhoven <warmenhoven@debian.org>  Wed, 17 Mar 2010 21:09:06 -0700

vpnc (0.5.3-1) unstable; urgency=low

  * New maintainer (closes: #508590)
  * New upstream release (closes: #506265)
    + fixes bug in pcf2vpnc which causes too many spaces (closes: #456550)
    + fixes prompting for password even though it's in the configuration
      file (closes: #492981) 

 -- Eric Warmenhoven <warmenhoven@debian.org>  Mon, 15 Dec 2008 17:52:20 -0800
