=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: vpnc
-Section: user/communication
+Section: net
 Priority: extra
-Maintainer: Philipp Seidel <maemo@dinotools.de>
-Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch
-Standards-Version: 3.8.0
+Maintainer: Florian Schlichting <fschlich@zedat.fu-berlin.de>
+Build-Depends: debhelper (>= 8), libgnutls-dev, pkg-config
+Standards-Version: 3.9.2
+Homepage: http://www.unix-ag.uni-kl.de/~massar/vpnc/
 
 Package: vpnc
 Architecture: any
+Suggests: resolvconf
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: resolvconf, iproute
+Recommends: iproute
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
  known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
