=== debian/rules ===
#!/usr/bin/make -f

PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=${PREFIX}
 
override_dh_auto_install:
	dh_auto_install -- PREFIX=${PREFIX} install
	rm ./debian/vpnc/usr/share/doc/vpnc/COPYING

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf
