=== debian/changelog ===
vpnc (0.5.3r512-2ubuntu1) precise; urgency=low

  * Added fetch-split-dns-prop.patch to fetch split DNS property from
    Cisco VPN servers. (LP: #954747)

 -- Evan Broder <evan@ebroder.net>  Tue, 13 Mar 2012 23:26:42 -0700

vpnc (0.5.3r512-2) unstable; urgency=low

  * Turned maintainer scripts into proper shell scripts (thanks, Johannes
    Schauer!). Closes: #663206
  * Added a pre-dependency on dpkg (>= 1.15.7.2) for dpkg-maintscript-helper.
  * Bumped Standards-Version to 3.9.3.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Tue, 13 Mar 2012 18:50:35 +0100

vpnc (0.5.3r512-1) unstable; urgency=low

  * Imported new upstream SVN snapshot with support for Fritz!Box routers
    (closes: #629646), fixed MTU when no default route (closes: #525389).
  * Refreshed patches, dropped 07_bug496718.patch, 08_bug640978.patch 
    (applied upstream).
  * Added missing ${perl:Depends}.
  * Updated debian/copyright to reflect recent work in SVN.
  * Updated README.Debian, clarified security warning (closes: #442629) and
    added a note on NetworkManager integration.
  * Properly remove obsolete conffile example.conf on upgrade.
  * Simplify debian/rules (PREFIX ony needed for install - thanks gregoa).
  * Added a get-orig-source target to debian/rules.
  * Bumped debhelper compatibility to level 9 for extra hardening build flags.
  * Added fix_makefile_VERSION.patch so that vpnc will report the correct
    version including SVN revision.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Wed, 15 Feb 2012 23:34:20 +0100
