=== debian/control ===
Source: vpnc
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Build-Depends: debhelper (>= 9), libgnutls-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://www.unix-ag.uni-kl.de/~massar/vpnc/

Package: vpnc
Architecture: any
Suggests: resolvconf
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: iproute
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except for the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.
