=== debian/changelog ===
vpnc (0.5.3r550-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    + Clean-up upload, no substantive changes.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    - Drop unnecessary build-dependency dpkg-dev.
  * debian/patches:
    + Refresh patch series.
    + Add patch 0008 to use canonical shebang for perl interpreter
      in /usr/bin/pcf2vpnc.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Sep 2019 14:02:02 -0400

vpnc (0.5.3r550-3) unstable; urgency=medium

  [ John-John Tedro ]
  * Add bug_799429.patch (closes: #799429)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed build tools (closes: #839015)

  [ Dan Lenski ]
  * Add Mihai Maties dpd_big-endian.patch LP: #700767
  * Add Dan Lenski's restore_original_cwd_after_vpnc_main_loop.patch
    LP: #1612100 closes: #833988

  [ Florian Schlichting ]
  * Recommend iproute2 instead of transitional iproute (closes: #824682)
  * Declare compliance with Debian Policy 3.9.8
  * Use secure URIs for Homepage and VCS fields
  * Add debhelper and dpkg-dev minimum versions for restriction formula
    support, drop pre-dependency on dpkg version satisfied in oldstable

 -- Florian Schlichting <fsfs@debian.org>  Wed, 23 Nov 2016 21:40:52 +0100

vpnc (0.5.3r550-2) unstable; urgency=medium

  * Enable PIE and BINDNOW hardening as suggested by Markus
  * Add vpnc_typo.patch
  * Declare compliance with Debian Policy 3.9.6

 -- Florian Schlichting <fsfs@debian.org>  Sun, 05 Oct 2014 22:44:21 +0200

vpnc (0.5.3r550-1) unstable; urgency=medium

  * Import Upstream version 0.5.3r550
    + ignores leading/trailing whitespace in config file (closes: #595660)
    + fetches split DNS information (LP: 954747)
    + includes 03_vpnc.8.patch
  * Add VCS-* fields
  * Update fix_makefile_VERSION.patch to report full Debian package version
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Update copyright holders and years
  * Remove deprecated "Target networks" and "DNSupdate" extensions
  * Move user-created connect-action scripts to the new hook directories
  * Use vpnc-script from the vpnc-scripts package (closes: #673648)
  * Add a NEWS file to alert people with non-default configurations
  * Drop fix_make_test.patch, cert issue fixed upstream
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Sun, 07 Sep 2014 00:18:19 +0200

vpnc (0.5.3r512-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against libgnutls28-dev, add missing build-dependency on
    libgcrypt20-dev. Closes: #747538

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Aug 2014 18:41:36 +0200
