=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,21 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CC),default)
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+export CC
+export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
+export VPNC = /usr/sbin/vpnc
+endif
 VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 SVN_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*r([^-]+).*,\1,p')
 SVN_URL=http://svn.unix-ag.uni-kl.de/vpnc/trunk/
 ORIGDIR=vpnc-$(VERSION)
 TARNAME=vpnc_$(VERSION).orig.tar.gz
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 get-orig-source:
 	rm -rf $(ORIGDIR)
@@ -19,6 +30,7 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr install
 	rm ./debian/vpnc/usr/share/doc/vpnc/COPYING
+	rm ./debian/vpnc/etc/vpnc/vpnc-script
 
 override_dh_fixperms:
 	dh_fixperms
