=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pretty=0.5.3+git%cd, pgpmode=none" \
https://github.com/streambinder/vpnc.git \
HEAD
